Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmDevicesCellularUsageHistory({
deviceId: "string",
networkId: "string",
});
export const merakiNetworksSmDevicesCellularUsageHistoryExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_devices_cellular_usage_history(device_id="string",
network_id="string")
pulumi.export("merakiNetworksSmDevicesCellularUsageHistoryExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmDevicesCellularUsageHistory(ctx, &networks.GetSmDevicesCellularUsageHistoryArgs{
DeviceId: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmDevicesCellularUsageHistoryExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmDevicesCellularUsageHistory.Invoke(new()
{
DeviceId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSmDevicesCellularUsageHistoryExample"] = example.Apply(getSmDevicesCellularUsageHistoryResult => getSmDevicesCellularUsageHistoryResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmDevicesCellularUsageHistoryArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmDevicesCellularUsageHistory(GetSmDevicesCellularUsageHistoryArgs.builder()
.deviceId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksSmDevicesCellularUsageHistoryExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmDevicesCellularUsageHistory
arguments:
deviceId: string
networkId: string
outputs:
merakiNetworksSmDevicesCellularUsageHistoryExample: ${example.items}
Using getSmDevicesCellularUsageHistory
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmDevicesCellularUsageHistory(args: GetSmDevicesCellularUsageHistoryArgs, opts?: InvokeOptions): Promise<GetSmDevicesCellularUsageHistoryResult>
function getSmDevicesCellularUsageHistoryOutput(args: GetSmDevicesCellularUsageHistoryOutputArgs, opts?: InvokeOptions): Output<GetSmDevicesCellularUsageHistoryResult>def get_sm_devices_cellular_usage_history(device_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSmDevicesCellularUsageHistoryResult
def get_sm_devices_cellular_usage_history_output(device_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmDevicesCellularUsageHistoryResult]func GetSmDevicesCellularUsageHistory(ctx *Context, args *GetSmDevicesCellularUsageHistoryArgs, opts ...InvokeOption) (*GetSmDevicesCellularUsageHistoryResult, error)
func GetSmDevicesCellularUsageHistoryOutput(ctx *Context, args *GetSmDevicesCellularUsageHistoryOutputArgs, opts ...InvokeOption) GetSmDevicesCellularUsageHistoryResultOutput> Note: This function is named GetSmDevicesCellularUsageHistory in the Go SDK.
public static class GetSmDevicesCellularUsageHistory
{
public static Task<GetSmDevicesCellularUsageHistoryResult> InvokeAsync(GetSmDevicesCellularUsageHistoryArgs args, InvokeOptions? opts = null)
public static Output<GetSmDevicesCellularUsageHistoryResult> Invoke(GetSmDevicesCellularUsageHistoryInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmDevicesCellularUsageHistoryResult> getSmDevicesCellularUsageHistory(GetSmDevicesCellularUsageHistoryArgs args, InvokeOptions options)
public static Output<GetSmDevicesCellularUsageHistoryResult> getSmDevicesCellularUsageHistory(GetSmDevicesCellularUsageHistoryArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmDevicesCellularUsageHistory:getSmDevicesCellularUsageHistory
arguments:
# arguments dictionaryThe following arguments are supported:
- device_
id str - deviceId path parameter. Device ID
- network_
id str - networkId path parameter. Network ID
getSmDevicesCellularUsageHistory Result
The following output properties are available:
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Devices Cellular Usage History Item> - Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- Network
Id string - networkId path parameter. Network ID
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Devices Cellular Usage History Item - Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- Network
Id string - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Devices Cellular Usage History Item> - Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- network
Id String - networkId path parameter. Network ID
- device
Id string - deviceId path parameter. Device ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Devices Cellular Usage History Item[] - Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- network
Id string - networkId path parameter. Network ID
- device_
id str - deviceId path parameter. Device ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Devices Cellular Usage History Item] - Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- network_
id str - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmDeviceCellularUsageHistory
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSmDevicesCellularUsageHistoryItem
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
